# The contents of this file are subject to the terms of the Common Development
# and Distribution License (the License). You may not use this file except in
# compliance with the License.
#
# You can obtain a copy of the License at http://www.netbeans.org/cddl.html
# or http://www.netbeans.org/cddl.txt.

# When distributing Covered Code, include this CDDL Header Notice in each file
# and include the License file at http://www.netbeans.org/cddl.txt.
# If applicable, add the following below the CDDL Header, with the fields
# enclosed by brackets [] replaced by your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.

netbeans.dest=netbeans
test.user.dir=testuserdir
nb.run.validation=true
# Options to pass to NetBeans when starting it with "ant tryme":
tryme.args=
build.compiler.debug=on

# Information about branch of previous release
# needed to help us generate list of changes since then
previous.release.year=2006
previous.release.month=10
previous.release.day=01

# Additional parameters to pass to NetBeans as it is started in sanity-check mode.
# Normally you ought not change this.
# However those running automated builds may wish to use:
# -J-DErrorManager.minimum=17
# (please don't ask why it is 17)
# which will suppress a variety of mostly harmless deprecation warnings.
sanitystart.args.additional=
# For some reason the following flag, which is very useful:
# -J-Dnetbeans.preresolve.classes=true
# causes a hang during startup (no thread dump available) on JDK 1.3.

# Useful for "always successful" build, when you don't care of some
# particular (and currently broken) modules
stop.when.broken.modules=true

# resolve compile time dependencies and merge all dependent modules
# set to true and command `ant -Dmodules=javacvs` will build IDE
# with working module javacvs
merge.dependent.modules=true

# usefull for NBM build. <nbmerge> can set it to the list
# of successfuly built modules => can create NBM for them
# the most powerful combination is to set value to "modules"
# and set stop.when.broken.modules to false
built.modules.property=

# resolve compile-time dependencies during cleaning working repository
# set it to true if you want to clean also modules, your module(s) depends on
resolve.clean.dependencies=false

# stop, if the module have got wrong "clean" target
# if set to false, clean build never fail on calls of the clean targets.
stop.when.clean.error=true

# Choose which configuration to use
# (or explicitly set properties 'modules' and 'fixedmodules').
# The config must define a config.fixedmodules.XXX property and
# a config.modules.XXX property, where XXX is the config name.
# Each is a list of module names, as subdirectories beneath the
# root of the source tree, separated by commas.
moduleconfig=stable

# Dist directory for L10N kits
l10n.dist.dir=l10ndist

config.fixedmodules.stable-without-webapps=\
    ${config.fixedmodules.platform},\
    core/favorites,\
    core/ide,\
    core/javahelp
local.config.stavbicka=\
    ant/freeform,\
    ant/project,\
    java/freeform,\
    java/j2seplatform,\
    java/j2seproject,\
    java/platform,\
    java/project,\
    projects/libraries,\
    projects/projectapi,\
    projects/projectui,\
    projects/projectuiapi,\
    projects/queries
local.config.stavbicka.extra=\
    ant/browsetask,\
    ant/grammar,\
    apisupport/ant,\
    apisupport/harness,\
    apisupport/project,\
    apisupport/refactoring,\
    apisupport/samples/feedreader-sample-ui,\
    apisupport/samples/PaintApp-sample-ui
config.modules.stable-without-webapps=\
    ant,\
    ant/debugger,\
    autoupdate,\
    beans,\
    classfile,\
    clazz,\
    core/execution,\
    core/navigator,\
    core/options,\
    core/output2,\
    core/palette,\
    core/settings,\
    db,\
    db/dbapi,\
    db/core,\
    db/sqleditor,\
    debuggercore,\
    debuggercore/api,\
    debuggercore/viewmodel,\
    debuggerjpda,\
    debuggerjpda/ant,\
    debuggerjpda/api,\
    debuggerjpda/ui,\
    diff,\
    editor,\
    editor/bookmarks,\
    editor/codetemplates,\
    editor/completion,\
    editor/errorstripe,\
    editor/errorstripe/api,\
    editor/hints,\
    editor/fold,\
    editor/lib,\
    editor/mimelookup,\
    editor/options,\
    editor/plain,\
    editor/plain/lib,\
    editor/settings,\
    editor/settings/storage,\
    editor/util,\
    extbrowser,\
    form,\
    html,\
    html/editor,\
    html/editor/lib,\
    httpserver,\
    httpserver/servletapi,\
    i18n,\
    i18n/form,\
    ide/applemenu,\
    ide/branding,\
    ide/defaults,\
    ide/launcher/upgrade,\
    ide/updatecenters,\
    ide/welcome,\
    image,\
    java,\
    java/api,\
    java/editor,\
    java/editor/lib,\
    java/javacore,\
    java/javamodel,\
    java/srcmodel,\
    java/hints,\
    java/navigation,\
    javacvs/cvsmodule,\
    javacvs/libmodule,\
    javadoc,\
    junit,\
    j2ee/persistenceapi,\
    libs/form-layout,\
    libs/jsch,\
    libs/resolver,\
    libs/swing-layout,\
    libs/xerces,\
    mdr/jmi,\
    mdr/mdrapi,\
    mdr/module,\
    mdr/mof,\
    mdr/nbjmiutils,\
    openide/execution,\
    openide/io,\
    openidex,\
    properties,\
    properties/syntax,\
    refactoring,\
    usersguide,\
    usersguide/j2seexamples,\
    utilities,\
    utilities/project,\
    versioncontrol,\
    websvc/clientapi,\
    websvc/jaxrpc16,\
    websvc/jaxws20,\
    websvc/jaxwsmodel,\
    ${local.config.stavbicka.extra},\
    ${local.config.stavbicka},\
    ${local.config.tasklist4barracuda},\
    ${local.config.xml}

config.fixedmodules.stable=${config.fixedmodules.stable-without-webapps}
config.modules.stable=\
    ${config.modules.stable-without-webapps},\
    db/model,\
    db/derby,\
    j2ee/archiveproject,\
    j2ee/blueprints,\
    j2ee/clientproject,\
    j2ee/ddapi,\
    j2ee/ddloaders,\
    j2ee/debug,\
    j2ee/earproject,\
    j2ee/ejbapi,\
    j2ee/ejbcore,\
    j2ee/ejbfreeform,\
    j2ee/ejbjarproject,\
    j2ee/genericserver,\
    j2ee/persistence,\
    j2ee/platform,\
    j2ee/refactoring,\
    j2ee/samples,\
    j2ee/toplinklib,\
    j2ee/utilities,\
    j2ee/verification,\
    j2eeserver,\
    j2eeserver/ant,\
    j2eeserver/j2eeapis,\
    libs/commons_logging,\
    monitor,\
    schema2beans/rt,\
    j2ee/metadata,\
    serverplugins/sun/appsrv,\
    serverplugins/sun/appsrv81,\
    serverplugins/sun/sunddapi,\
    serverplugins/sun/sunddui,\
    serverplugins/jboss4,\
    serverplugins/weblogic9,\
    tomcatint/tomcat5,\
    tomcatint/tomcat5/bundled,\
    web/core,\
    web/examples,\
    web/freeform,\
    web/jsf,\
    web/jspdebug,\
    web/jspparser,\
    web/jspsyntax,\
    web/jstl11,\
    web/project,\
    web/servletjspapi,\
    web/struts,\
    web/webapi,\
    websvc/core,\
    websvc/dev,\
    websvc/jaxwsapi,\
    websvc/registry,\
    websvc/websvcapi,\
    websvc/websvcddapi,\
    websvc/customization,\
    web/libs/glassfish_logging

config.fixedmodules.platform=\
        core,\
        core/bootstrap,\
        core/multiview,\
        core/progress,\
        core/settings,\
        core/startup,\
        core/swing/plaf,\
        core/swing/tabcontrol,\
        core/ui,\
        core/favorites,\
        core/windows,\
        libs/swing-layout,\
        openide/actions,\
        openide/awt,\
        openide/compat,\
        openide/dialogs,\
        openide/explorer,\
        openide/fs,\
        openide/loaders,\
        openide/masterfs,\
        openide/modules,\
        openide/nodes,\
        openide/options,\
        openide/text,\
        openide/util,\
        openide/util/enum,\
        openide/windows
config.modules.platform=\
        autoupdate,\
        core/execution,\
        core/javahelp,\
        core/output2,\
        openide/execution,\
        openide/io,\
        projects/queries

local.config.xml=\
        xml/api,\
        xml/catalog,\
        xml/core,\
        xml/css,\
        xml/multiview,\
        xml/schema,\
        xml/tageditorsupport,\
        xml/tax,\
        xml/text-edit,\
        xml/tools,\
        xml/xdm,\
        xml/xam,\
        xml/retriever,\
        xml/schema/api,\
        xml/wsdl/api,\
        xml/xsl

local.config.apisupport=\
        ant/docs,\
        apisupport,\
        apisupport/apidocs,\
        utilities/group

# tasklist subset planned for 3.6
local.config.tasklist4barracuda=\
        tasklist/api,\
        tasklist/core,\
        tasklist/docscan,\
        tasklist/suggestions

local.config.tasklist=\
        ${local.config.tasklist4barracuda},\
        tasklist/bugs,\
        tasklist/editor,\
        tasklist/html,\
        tasklist/javadoc,\
        tasklist/javaparser,\
        tasklist/suggestions/ui,\
        tasklist/usertasks

local.config.pmd=\
        contrib/pmd-nb-ext,\
        contrib/pmd-nb-wrapper,\
        tasklist/pmd

local.config.options=\
        contrib/options,\
        contrib/options/baseoptions,\
        contrib/options/optionscore

local.config.dropshadow=\
        contrib/dropshadow

local.config.editorthemes=\
        contrib/editorthemes

local.config.coloreditor=\
        contrib/coloreditor

local.config.statuspopup=\
        contrib/statuspopup

local.config.vcsprofiles=\
        vcsgeneric/profiles/cvsprofiles,\
        vcsgeneric/profiles/pvcs,\
        vcsgeneric/profiles/vss

config.fixedmodules.stable-with-apisupport=${config.fixedmodules.stable}
config.modules.stable-with-apisupport=\
        ${config.modules.stable},\
        ${local.config.apisupport}

#moduleconfig for QA's testtools
config.fixedmodules.testtools=\
        jellytools,\
        jemmy/idemodule,\
        junit,\
        xtest/examples,\
        xtest/module,\
        xtest/nbjunit
config.modules.testtools=\
        jemmysupport,\
        testtools

# moduleconfig for nbms in Daily build of Stable AU modules (issue #17069)
# temporarily broken (mainly by flexible build or projects): jndi, corba, a11y, serialversion
config.fixedmodules.stable-au=
config.modules.stable-au=\
        ant/docs,\
        diff,\
        sysprops,\
        xml/tree-edit

# moduleconfig for nbms in Daily Alpha Update Centre
# removed indefinitely: icebrowser, vcscvs, jini, classclosure, freestylebrowser
# temporarily broken (mainly by flexible build): contrib/bookmarks, contrib/htmldiff, corba, cpp, externaleditor, jasm, jndi
config.fixedmodules.daily-alpha-nbms=
config.modules.daily-alpha-nbms=\
        ${local.config.apisupport},\
        collab/core,\
        collab/im,\
        collab/chat,\
        collab/chat/html,\
        collab/chat/java,\
        collab/chat/text,\
        collab/chat/xml,\
        collab/filesharing,\
        libs/xmlbeans,\
        collab/moxc,\
        collab/output,\
        collab/ui,\
        collab/kit,\
        contrib/archiver,\
        contrib/docbook,\
        contrib/doclet_completion,\
        contrib/doclet_completion/ejbdoclet,\
        contrib/doclet_completion/hibernatedoclet,\
        contrib/doclet_completion/javadoclet,\
        contrib/doclet_completion/springdoclet,\
        contrib/extraupdatecenters,\
        contrib/insertunicode,\
        contrib/mount,\
        contrib/naming,\
        contrib/nexterror,\
        contrib/openproject,\
        contrib/profiles,\
        contrib/quickfilechooser,\
        contrib/xmlnavigation,\
        core/registry,\
        core/term,\
        db/derby/bundled,\
        html/javascript,\
        html/javascript/editor,\
        ide/projectimport,\
        ide/projectimport/jbuilder,\
        j2ee/adventure,\
        jackpot/javacapi,\
        jackpot/javacimpl,\
        jackpot/engine,\
        jackpot,\
        jackpot/rules,\
        javacvs/util_switcher,\
        jellytools,\
        jemmy/idemodule,\
        jemmysupport,\
        lexer,\
        lexer/editorbridge,\
        management/jmx,\
        metrics,\
        openide/convertor,\
        openide/looks,\
        openide/registry,\
        performance/insane,\
        portalpack/portletbuilder/genericportlets,\
        portalpack/serverplugins/base-psframework,\
        portalpack/serverplugins/osportletcontainer,\
        refactoring/experimental,\
        refactoring/vcs,\
        scripting,\
        serverplugins/sun/avk,\
        subversion/ini4j,\
        subversion/client,\
        subversion/main,\
        tasklist/bugs,\
        tasklist/copyright,\
        tasklist/editor,\
        tasklist/suggestions/ui,\
        tasklist/usertasks,\
        utilities/group,\
        vcscore,\
        vcscore/javacorebridge,\
        vcsgeneric,\
        vcsgeneric/profiles/teamware,\
        xtest/examples,\
        xtest/module,\
        xtest/nbjunit,\
        ${local.config.vcsprofiles}


# make javadoc for these packages
# - the list will be shared for signature API tests!
# - for javadoc you may specify org.foo.*, the trailing ".*"
#     will be stripped for signature API tests
javadoc.packages=\
        org.netbeans.api.*,\
        org.netbeans.spi.*
# take care of dependencies when reordering modules for javadoc
# some javadocs must be built earlier than others for package-list
# the javadocs will be built in the *exact* order specified here
# REMOVED: openide/deprecated, openide/compiler, openide/execution/deprecated, debuggercore/oldapi
config.fixedmodules.platform-javadoc=\
        openide/util,\
        openide/actions,\
        openide/options,\
        openide/awt,\
        openide/dialogs,\
        openide/nodes,\
        openide/explorer,\
        openide/fs,\
        openide/modules,\
        openide/text,\
        openide/windows,\
        openide/loaders,\
        openide/io,\
        core/progress,\
        core/settings,\
        core/javahelp,\
        openide/execution,\
        projects/queries
config.fixedmodules.javadoc=\
        ${config.fixedmodules.platform-javadoc},\
        editor/errorstripe/api,\
        editor/mimelookup,\
        editor/settings,\
        core/navigator,\
        core/palette,\
        diff,\
        java/srcmodel,\
        projects/projectapi,\
        projects/projectuiapi,\
        projects/libraries,\
        debuggercore/api,\
        debuggercore/viewmodel,\
        debuggercore,\
        debuggerjpda/api,\
        ant/project,\
        java/api,\
        java/platform,\
        java/project,\
        editor/fold,\
        editor/completion,\
        editor/codetemplates
config.modules.javadoc=\
        mdr/mdrapi
#        ,\
#        jellytools,\
#        jemmy/idemodule


# configuration for signature test builds
config.fixedmodules.sigtest=${config.fixedmodules.stable}
config.modules.sigtest=${config.modules.stable}

# module config for simple build of all xml modules
config.modules.xml=\
        ${local.config.xml},\
        xml/tree-edit
config.fixedmodules.xml=

# module config for l10n kit preparation build
config.modules.l10nkit=\
        installer,\
        testwww, \
        portalpack, \
        subversion/ini4j,\
        subversion/client,\
        subversion/main,\
        ${config.modules.stable}
config.fixedmodules.l10nkit=${config.fixedmodules.stable}

# list of modules for jnlp:
config.modules.jnlp=${nb.cluster.platform},\
    ${nb.pkg.ideextensions},\
    ${nb.pkg.idesupport}
config.fixedmodules.jnlp=

